OpenNMS API 1.2.9

## org.opennms.netmgt.config.notifd
Class AutoAcknowledge

    java.lang.Object
      org.opennms.netmgt.config.notifd.AutoAcknowledge

All Implemented Interfaces:
  java.io.Serializable

public class AutoAcknowledge
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_acknowledge`
`private boolean` `_has_notify` keeps track of state for field: _notify
`private java.util.ArrayList` `_matchList`
`private boolean` `_notify`
`private java.lang.String` `_resolutionPrefix`
`private java.lang.String` `_uei`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`AutoAcknowledge()`

Method Summary
`void` `addMatch(int index, java.lang.String vMatch)`
`void` `addMatch(java.lang.String vMatch)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearMatch()`
`void` `deleteNotify()`
`java.util.Enumeration` `enumerateMatch()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getAcknowledge()` Returns the value of field 'acknowledge'.
`java.lang.String[]` `getMatch()`
`java.lang.String` `getMatch(int index)`
`java.util.Collection` `getMatchCollection()`
`int` `getMatchCount()`
`boolean` `getNotify()` Returns the value of field 'notify'.
`java.lang.String` `getResolutionPrefix()` Returns the value of field 'resolutionPrefix'.
`java.lang.String` `getUei()` Returns the value of field 'uei'.
`boolean` `hasNotify()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeMatch(java.lang.String vMatch)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setAcknowledge(java.lang.String acknowledge)` Sets the value of field 'acknowledge'.
`void` `setMatch(int index, java.lang.String vMatch)`
`void` `setMatch(java.lang.String[] matchArray)`
`void` `setMatchCollection(java.util.Collection vMatch)`
`void` `setNotify(boolean notify)` Sets the value of field 'notify'.
`void` `setResolutionPrefix(java.lang.String resolutionPrefix)` Sets the value of field 'resolutionPrefix'.
`void` `setUei(java.lang.String uei)` Sets the value of field 'uei'.
`static AutoAcknowledge` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _resolutionPrefix

    private java.lang.String _resolutionPrefix

### _uei

    private java.lang.String _uei

### _acknowledge

    private java.lang.String _acknowledge

### _notify

    private boolean _notify

### _has_notify

    private boolean _has_notify

  keeps track of state for field: _notify

### _matchList

    private java.util.ArrayList _matchList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### AutoAcknowledge

    public AutoAcknowledge()

Method Detail

### addMatch

    public void addMatch(java.lang.String vMatch)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vMatch` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addMatch

    public void addMatch(int index,
                         java.lang.String vMatch)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vMatch` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearMatch

    public void clearMatch()

### deleteNotify

    public void deleteNotify()

### enumerateMatch

    public java.util.Enumeration enumerateMatch()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getAcknowledge

    public java.lang.String getAcknowledge()

  Returns the value of field 'acknowledge'.

  Returns:
    the value of field 'acknowledge'.

### getMatch

    public java.lang.String getMatch(int index)
                              throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getMatch

    public java.lang.String[] getMatch()

### getMatchCollection

    public java.util.Collection getMatchCollection()

### getMatchCount

    public int getMatchCount()

### getNotify

    public boolean getNotify()

  Returns the value of field 'notify'.

  Returns:
    the value of field 'notify'.

### getResolutionPrefix

    public java.lang.String getResolutionPrefix()

  Returns the value of field 'resolutionPrefix'.

  Returns:
    the value of field 'resolutionPrefix'.

### getUei

    public java.lang.String getUei()

  Returns the value of field 'uei'.

  Returns:
    the value of field 'uei'.

### hasNotify

    public boolean hasNotify()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeMatch

    public boolean removeMatch(java.lang.String vMatch)

  Parameters:
    `vMatch` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setAcknowledge

    public void setAcknowledge(java.lang.String acknowledge)

  Sets the value of field 'acknowledge'.

  Parameters:
    `acknowledge` - the value of field 'acknowledge'.

### setMatch

    public void setMatch(int index,
                         java.lang.String vMatch)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vMatch` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setMatch

    public void setMatch(java.lang.String[] matchArray)

  Parameters:
    `matchArray` -

### setMatchCollection

    public void setMatchCollection(java.util.Collection vMatch)

  Parameters:
    `vMatch` -

### setNotify

    public void setNotify(boolean notify)

  Sets the value of field 'notify'.

  Parameters:
    `notify` - the value of field 'notify'.

### setResolutionPrefix

    public void setResolutionPrefix(java.lang.String resolutionPrefix)

  Sets the value of field 'resolutionPrefix'.

  Parameters:
    `resolutionPrefix` - the value of field 'resolutionPrefix'

### setUei

    public void setUei(java.lang.String uei)

  Sets the value of field 'uei'.

  Parameters:
    `uei` - the value of field 'uei'.

### unmarshal

    public static AutoAcknowledge unmarshal(java.io.Reader reader)
                                     throws org.exolab.castor.xml.MarshalException,
                                            org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.